%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name: python-routes1.12
Version: 1.12.3
Release: 4%{?dist}
Summary: Rails-like routes for Python

Group: Development/Languages
License: BSD
URL: http://routes.groovie.org/
Source0: http://pypi.python.org/packages/source/R/Routes/Routes-%{version}.tar.gz
Source1: README.Fedora
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
BuildRequires: python-setuptools-devel 
BuildRequires: python-nose1.1 python-coverage python-webtest python-paste


%description
Routes is a Python re-implementation of the Rails routes system for mapping
URLs to Controllers/Actions and generating URLs. Routes makes it easy to
create pretty and concise URLs that are RESTful with little effort.


%prep
%setup -q -n Routes-%{version}
cp -p %{SOURCE1} .

%build
%{__python} setup.py build bdist_egg


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p %{buildroot}%{python_sitelib}
easy_install -m --install-dir %{buildroot}%{python_sitelib} dist/*.egg #TODO what about c-extensions
find %{buildroot}%{python_sitelib}/Routes-%{version}-py2.6.egg/routes/ -name '*.py' |
 xargs chmod 0644


%check
PYTHONPATH=$(pwd) nosetests1.1


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc LICENSE README README.Fedora docs
%{python_sitelib}/*


%changelog
* Tue Apr 24 2012 Pádraig Brady <P@draigBrady.com> 1.12.3-4
- Built parallel installable version for EPEL 6

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.12.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.12.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Oct 05 2010 Luke Macken <lmacken@redhat.com> - 1.12.3-1
- Update to 1.12.3

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 1.12.1-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Wed May 05 2010 Luke Macken <lmacken@redhat.com> - 1.12.1-1
- Update to 1.12.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.10.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun May 31 2009 Luke Macken <lmacken@redhat.com> - 1.10.3-1
- Update to 1.10.3

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.10.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Jan 06 2009 Luke Macken <lmacken@redhat.com> - 1.10.1-2
- Update to 1.10.1
- Run the test suite

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 1.8-3
- Rebuild for Python 2.6

* Sun May 11 2008 Kyle VanderBeek <kylev@kylev.com> - 1.8-2
- Fix rpmlint warning.
- Add documentation files.

* Wed Apr  9 2008 Kyle VanderBeek <kylev@kylev.com> - 1.8-1
- Initial version.

